diff --git a/gnu/packages/engineering.scm b/gnu/packages/engineering.scm
index 2fc2ecdd88..ee90e3b429 100644
--- a/gnu/packages/engineering.scm
+++ b/gnu/packages/engineering.scm
@@ -16,6 +16,7 @@
 ;;; Copyright © 2019 John Soo <jsoo1@asu.edu>
 ;;; Copyright © 2020 Brice Waegeneire <brice@waegenei.re>
 ;;; Copyright © 2020 Vincent Legoll <vincent.legoll@gmail.com>
+;;; Copyright © 2020 Ekaitz Zarraga <ekaitz@elenq.tech>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -2520,43 +2521,43 @@ official SDK.")
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
-                       (url "https://github.com/cnr-isti-vclab/meshlab")
-                       (commit (string-append "Meshlab-" version))
-                       (recursive? #t)))
+                      (url "https://github.com/cnr-isti-vclab/meshlab")
+                      (commit (string-append "Meshlab-" version))
+                      (recursive? #t)))
+                (file-name (git-file-name name version))
                 (sha256
-                  (base32 "1vx9jcsnnxvzi90pcxpp7p72cqg3cm6jiivdmrxkzhr2fiz3pfvr"))))
+                 (base32 "1vx9jcsnnxvzi90pcxpp7p72cqg3cm6jiivdmrxkzhr2fiz3pfvr"))))
       (build-system cmake-build-system)
       (native-inputs
-        `(("qtbase" ,qtbase)
-          ("qtscript" ,qtscript)
-          ("qtxmlpatterns" ,qtxmlpatterns)
-          ("mesa", mesa)
-          ("glu", glu)))
+       `(("qtbase" ,qtbase)
+         ("qtscript" ,qtscript)
+         ("qtxmlpatterns" ,qtxmlpatterns)
+         ("mesa", mesa)
+         ("glu", glu)))
       (arguments
-        `(#:tests? #f ; Has no tests
-          #:phases
-          (modify-phases
-            %standard-phases
-              (add-after
-                'unpack 'go-to-source-dir
-                (lambda _ (chdir "src") #t))
-              (add-after
-                'install 'move-files
-                (lambda* (#:key outputs #:allow-other-keys)
-                         (let ((lib (string-append (assoc-ref outputs "out")
-                                                   "/lib")))
-                           (rename-file
-                             (string-append lib "/meshlab/libmeshlab-common.so")
-                             (string-append lib "/libmeshlab-common.so"))
-                           #t))))))
+       `(#:tests? #f                              ;has no tests
+         #:phases
+         (modify-phases
+             %standard-phases
+           (add-after 'unpack 'go-to-source-dir
+             (lambda _ (chdir "src") #t))
+           (add-after 'install 'move-files
+             (lambda* (#:key outputs #:allow-other-keys)
+               ;; The RUNPATH on plugins is set to OUT/lib.  Move
+               ;; libmeshlab-common.so there so it can be found.
+               (let ((lib (string-append (assoc-ref outputs "out")
+                                         "/lib")))
+                 (rename-file
+                  (string-append lib "/meshlab/libmeshlab-common.so")
+                  (string-append lib "/libmeshlab-common.so"))
+                 #t))))))
       (synopsis "3D triangular mesh processing and editing software")
-                (home-page "http://www.meshlab.net/")
-                (description "MeshLab is a system for the processing and
-editing of unstructured large 3D triangular meshes.  It is aimed to help the
-processing of the typical not-so-small unstructured models arising in 3D
-scanning, providing a set of tools for editing, cleaning, healing, inspecting,
-rendering and converting this kind of meshes.  These tools include MeshLab
-proper, a versatile program with a graphical user interface, and meshlabserver,
-a program that can perform mesh processing tasks in batch mode, without a
-GUI.")
-                (license license:gpl3+))))
+      (home-page "http://www.meshlab.net/")
+      (description "MeshLab is a system for the processing and editing of
+unstructured large 3D triangular meshes.  It is aimed to help the processing
+of the typical not-so-small unstructured models arising in 3D scanning,
+providing a set of tools for editing, cleaning, healing, inspecting, rendering
+and converting this kind of meshes.  These tools include MeshLab proper, a
+versatile program with a graphical user interface, and meshlabserver, a
+program that can perform mesh processing tasks in batch mode, without a GUI.")
+      (license license:gpl3+))))
